Name:           python-ibm-code-engine-sdk
Version:        4.20.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python SDK for IBM Cloud Code Engine

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/IBM/code-engine-python-sdk
Source:         %{pypi_source ibm_code_engine_sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ibm-code-engine-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ibm-code-engine-sdk
Summary:        %{summary}

%description -n python3-ibm-code-engine-sdk %_description


%prep
%autosetup -p1 -n ibm_code_engine_sdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ibm-code-engine-sdk -f %{pyproject_files}


%changelog
%autochangelog